Subject: RE: [NGO] MIB Access using Netconf RPCs

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 5 Dec 2006 13:00:57 +0100

Inline

> -----Original Message-----
> From: David Harrington [mailto:[email-masked]]
> Sent: Monday, December 04, 2006 21:28
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [NGO] MIB Access using Netconf RPCs
> 
> 
> Hi 
> 
> > They are actually called "abstract service interfaces" in RFC 3411.
> You are correct.
>  
> > > Verbs are registered with the SNMP dispatcher based on the
> > > contextEngineID, which permits the selction of a specific
> > > contextEngine for processing, and allows multiple 
> > > contextEngineIDs to
> > > do local processing. This permits the same verb to be processed by
> > > different contextEngineIDs, as in the case of having separate
> > > SNMPv1 and SNMPv3 processing engines within the same system, each
> > > of which can process a GET request.
> > 
> > I though different messages versions are handled by the message
> > processesing subsystem. My understand was that a conextEngineID
> > which is not identical with the local engineID only occurs proxy
> > situations.
> 
> Different message versions are handled by different messaging models;
> different pdu types are handled by different "snmp applications", and
> the dispatch of pdus to applications is handled by the dispatcher. The
> list of pdutypes is dependent on the messaging models supported. 
> 
> I am of the impression that a given engine is free to register one
> application for a v1GET pduType, and another for a v3GET pduType. I
> know this was discussed, and am fairly certain that was consensus.

Mmm... I do not recall that we were going to allow for that; I
do not even recall we discussed it in this context.
Now... that is just what I recall today (the design phase was back in
1996, so that is 10 years ago, and giving my aging brain with the
deficiencies that aging brings.... I won;t claim that my memory
is perfect).

.. snip ..

Bert

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo

eceived: by nl0006exch001h.nl.lucent.com with Internet Mail Service
	(5.5.2657.72) id <XLQM9XYL>; Tue, 5 Dec 2006 13:00:59 +0100
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: David Harrington <[email-masked]>, [email-masked]
Subject: RE: [NGO] MIB Access using Netconf RPCs
Date: Tue, 5 Dec 2006 13:00:57 +0100 
Cc: [email-masked]

Inline

> -----Original Message-----
> From: David Harrington [mailto:[email-masked]]
> Sent: Monday, December 04, 2006 21:28
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [NGO] MIB Access using Netconf RPCs
> 
> 
> Hi 
> 
> > They are actually called "abstract service interfaces" in RFC 3411.
> You are correct.
>  
> > > Verbs are registered with the SNMP dispatcher based on the
> > > contextEngineID, which permits the selction of a specific
> > > contextEngine for processing, and allows multiple 
> > > contextEngineIDs to
> > > do local processing. This permits the same verb to be processed by
> > > different contextEngineIDs, as in the case of having separate
> > > SNMPv1 and SNMPv3 processing engines within the same system, each
> > > of which can process a GET request.
> > 
> > I though different messages versions are handled by the message
> > processesing subsystem. My understand was that a conextEngineID
> > which is not identical with the local engineID only occurs proxy
> > situations.
> 
> Different message versions are handled by different messaging models;
> different pdu types are handled by different "snmp applications", and
> the dispatch of pdus to applications is handled by the dispatcher. The
> list of pdutypes is dependent on the messaging models supported. 
> 
> I am of the impression that a given engine is free to register one
> application for a v1GET pduType, and another for a v3GET pduType. I
> know this was discussed, and am fairly certain that was consensus.

Mmm... I do not recall that we were going to allow for that; I
do not even recall we discussed it in this context.
Now... that is just what I recall today (the design phase was back in
1996, so that is 10 years ago, and giving my aging brain with the
deficiencies that aging brings.... I won;t claim that my memory
is perfect).

.. snip ..

Bert

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo